/*.open_modal {
text-decoration: none;
}*/

.overlay {
  width: 100%;
  height: 100vh;
  z-index: 99999;

  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  flex-direction: row;

  top: 0;
  left: 0;

  background-color: rgba(255, 255, 255, 0.7);
  cursor: default;
  opacity: 0;
  visibility: hidden;

  -webkit-transition: opacity .5s;
  -moz-transition: opacity .5s;
  -ms-transition: opacity .5s;
  -o-transition: opacity .5s;
  transition: opacity .5s;
}

.popup {
  position: absolute;
  z-index: 999999;

  margin: auto;

  background: #ffffff;
  color: #848383;

  padding: 50px 35px;

  font-size: 0.9em;
}

.popup-send-message {
  width: 100%;
  max-width: 900px;
  min-width: 320px;
  /* transition: all 0.5s ease-in-out; */
}

.popup-success{
  width: 100%;
  opacity: 0;
  max-width: 555px;
  min-width: 320px;
  display:none;
}

.popup-success h1 {
  font-size: 23px;
}

.popup form,
.singly-form {
  background: #FFFFFF;
  color: #848383;
}

.fields-wrap {
  width: 100%;
  margin: auto;
  /*background: #;*/
}

.field {
  clear: both;
  margin: 13px 0;
}

.field:first-of-type{
  margin-top: 0;
}

.field:last-of-type{
  margin-bottom: 0;
}

.popup input, 
.popup textarea,
.singly-form input,
.singly-form textarea{
  width: -moz-calc(100% - 40px); /*14px padding 2px border;*/
  width: -webkit-calc(100% - 40px);
  width: calc(100% - 10px);
  height: 15px;
  padding: 20px;
  border: 1px solid #BBBBBB;
  color: #848383;
  transition: all 0.3s ease-in-out;
}

.required::after {
  content: "*";
  display: inline-block;
  color: #f32d3f;
  position: relative;
  top: 13px;
  /* vertical-align: baseline; */
  float: right;
}

.popup input.error, 
.popup textarea.error,
.singly-form input.error,
.singly-form textarea.error {
  border: 1px solid #f32d3f;
}

.popup input.correct, 
.popup textarea.correct,
.singly-form input.correct,
.singly-form textarea.correct {
  border: 1px solid #BBBBBB;
}

.popup input:focus, 
.popup textarea:focus,
.singly-form input:focus,
.singly-form textarea:focus {
  outline: none;
  border: 1px solid  #898989;
}

.popup textarea,
.singly-form textarea {
  resize: none;
  height: 128px;
}

.popup label,
.singly-form label {
  display: block;
  font-weight: bold;
  line-height: 25px;
  text-align: left;

}

.popup label span,
.singly-form label span {
  color: #F2784B;
}

#errors {
  color: #f32d3f;
  opacity: 0;
  margin-top: 20px;
  transition: all 0.5s ease-in-out;
}

.lead {
  margin: 20px 0;
  font-size: 13px;
}

input.button{
  font-size: 1.1em;
  background: #f32d3f;
  color: #fff !important;
  border: 0px;
  cursor: pointer;
  transition: all .5s ease-in-out;
  display: block;
  margin: 0 auto;
  border: none !important;
  height: 50px !important;
  margin: 0;
  width: 200px;
}

.popup .button,
.singly-form .button {
  width: -moz-calc(100% - 8px); /*3px padding 2px border*/;
  width: -webkit-calc(100% - 8px);
  width: calc(100% - 8px);
}

.popup .heading,
.singly-form .heading {
  display: block;
  display: block;
  font-weight: bold;
  font-size: 2em;
  margin: 0.67em 0
}

.button:hover {
  background: #F2784B;
}

.popup .close-modal {
  position: absolute;
  top: 40px;
  right: 17px;
  cursor: pointer;
}

.popup .left-form-part,
.singly-form .left-form-part{
  display: inline-block;
  margin-right: 5%;
}

.popup .right-form-part,
.singly-form .right-form-part  {
  position: relative;
}

.popup .column,
.singly-form .column {
  display: inline-block;
  width: 47%;
  min-width: 220px;
  vertical-align: top;
}

@media (max-width: 768px) {

  .overlay {
      height: 100%;
      overflow: auto;
  }

  .popup h5 {
    width: 80%;
  }

  .popup .column,
  .singly-form .column  {
    width: 100%;
    margin: 0;
  }

  .popup #errors {
    margin-left: 0;
  }

  .popup .right-form-part,
  .singly-form .right-form-part  {
    margin-top: 13px;
  }
}
